Package org.eclipse.m2m.atl.emftvm.ant

## Class EmftvmAntPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.m2m.atl.emftvm.ant.EmftvmAntPlugin

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

    public class EmftvmAntPlugin
    extends org.eclipse.core.runtime.Plugin

Plug-in activator class.

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
`EmftvmAntPlugin()` Creates a new `EmftvmAntPlugin`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EmftvmAntPlugin` `getInstance()` Returns the plug-in instance.
`void` `start​(org.osgi.framework.BundleContext context)`
`void` `stop​(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EmftvmAntPlugin

    public EmftvmAntPlugin()

Creates a new `EmftvmAntPlugin`.

### Method Detail

#### getInstance

    public static EmftvmAntPlugin getInstance()

Returns the plug-in instance.

Returns:
  the instance

#### start

    public void start​(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `java.lang.Exception`

#### stop

    public void stop​(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `java.lang.Exception`